Subject: Re: Semantics of change IDs (Re: Gerrit, GitButler, and Jujutsu projects collaborating on change-id commit footer)

From: Nico Williams <[email-masked]>
Date: Thu, 15 May 2025 15:10:19 -0500

On Thu, May 15, 2025 at 12:59:46PM -0700, Junio C Hamano wrote:
> For something to be an eye sore, it also has to be of no use to
> those who consider it an eye sore.  The signed-off-by trailer is
> noisy and it becomes annoying after reading "git log --no-merges"
> for a week worth of commits, but it serves useful purpose so nobody
> would complain them as being an eye sore, even if they complain for
> other reasons.

Maybe `git log` can have options for leaving out trailers of no interest
to the user?  Email workflows still will see them, of course.

> Why weren't they seeing any benefit of having such trailer?  Would
> they have found a good use of the information if it were hidden in
> the header part?
> 
> If the answer is "it is only useful to some people", what is the
> [...]

I think the answer is "they are only useful a tiny fraction of the times
I/we/they look at the git log".

Nico
--